package com.philisense.www.service.impl;


import com.philisense.www.dao.ProMenuDAO;
import com.philisense.www.service.ProMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProMenuServiceImpl implements ProMenuService {

@Autowired
private ProMenuDAO proMenuDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proMenuDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proMenuDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proMenuDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proMenuDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proMenuDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proMenuDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proMenuDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proMenuDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proMenuDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proMenuDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proMenuDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proMenuDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proMenuDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getProMenuTreeByParentid(Map<String, Object> map) {
        return proMenuDAO.getProMenuTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getProMenuTreeByLevelCode(Map<String, Object> map) {
        return proMenuDAO.getProMenuTreeByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getAllForProMenuByUserId(Map<String, Object> map) {
        return proMenuDAO.getAllForProMenuByUserId(map);
    }

    @Override
    public List<Map<String, Object>> getProMenuTreeByParentidByUserId(Map<String, Object> map) {
        return proMenuDAO.getProMenuTreeByParentidByUserId(map);
    }

    @Override
    public List<Map<String, Object>> getProMenuTreeByParentidByUserIdAndText(Map<String, Object> map) {
        return proMenuDAO.getProMenuTreeByParentidByUserIdAndText(map);
    }

    @Override
    public List<Map<String, Object>> getTreeParentByTree(List<Map<String, Object>> treedata) {
        return proMenuDAO.getTreeParentByTree(treedata);
    }

}